Issue 10227 - dmake variable $(MAKEDEPEND) gets overwritten
dmake variable $(MAKEDEPEND) gets overwritten
Status: CLOSED FIXED
Product: Build Tools
Classification: Code
Component: code
643C
PC Windows 2000
: P3 trivial (vote)
: ---
Assigned To: Unknown
issues@tools
: merge_pending
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-19 21:25 UTC by quetschke
Modified: 2003-03-16 20:14 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch for solenv/inc/wnt.mk (593 bytes, patch)
2002-12-19 21:26 UTC, quetschke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description quetschke 2002-12-19 21:25:37 UTC
Building with W32/tcsh

While building soltools, when makedepend is not yet delivered,
soltools/util/makefile.pmk sets MAKEDEPEND to the local build dierectory.

This gets wrongly overwritten in solenv/inc/wnt.mk

The following patch fixes this.
Comment 1 quetschke 2002-12-19 21:26:34 UTC
Created attachment 4115 [details]
Patch for solenv/inc/wnt.mk
Comment 2 quetschke 2002-12-19 21:28:42 UTC
Keyword approval_pending added. Ause, have a look.
Comment 3 foskey 2002-12-19 21:48:31 UTC
This patch is fine to approve.  It is windows only and very low risk.
Comment 4 hjs 2002-12-20 13:31:45 UTC
the patch is fine for 643C. it's fixed slighly different in an
upcomming 644, so don't be surprised if the patch doesn't fit there...
Comment 5 hjs 2002-12-20 13:40:07 UTC
go...
Comment 6 quetschke 2002-12-20 13:57:05 UTC
Done!
Comment 7 Unknown 2002-12-20 15:14:50 UTC
seems I can close this then...
Comment 8 michael.bemmer 2003-03-16 20:10:20 UTC
As discussed with Armin, he thought these bug were closed, he sees all of them
as verified.
Comment 9 michael.bemmer 2003-03-16 20:14:00 UTC
As discussed with Armin, he thought these bug were closed, he sees all of them
as verified.